
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    font:inherit;
    box-sizing: border-box; 
}

a{
    text-decoration: none;
    color: inherit;
}

body {

    background-image: url(img/bg_page_donate_1.webp);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    display: flex;
    justify-content: center;
    font-family: "Raleway", sans-serif;  
}


h1,
h2,
h3 {

    text-wrap: balance;
}

p {
    
    max-width: 75ch;
}

.bloc-form {

    width: 100%;
    max-width: 630px;
    
    min-height: 300px;
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    gap: 0.1rem;
    -webkit-box-shadow: 5px 5px 15px -2px rgba(0,0,0,0.43); 
    box-shadow: 5px 5px 15px -2px rgba(0,0,0,0.43);
    margin-left: 10px;
    margin-right: 10px;
}

.form-top {

    width: 100%;
    background-color: #06adeff6;
    min-height: 55px;
    color: white;
    text-align: center;
    align-content: center;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    font-weight: 700;
    font-size: 1.3rem;
}


.form-center {

    width: 100%;
    background-color: #883664ee;
    min-height: 95px;
    
    text-align: center;
    align-content: center;
    
    display: flex;
    justify-content: center;
    align-items: center;
    

}

.form-center p {

    width: 95%;
    line-height: 1.6rem;
    font-size: 1rem;
    color: white;
    padding-top: 10px;
    padding-bottom: 10px;
}


.bold {

    font-weight: bold;
}

.cadre{
    background-color: #500c33;
    padding: 5px;
    border-radius: 0.2rem;
}

.form-bottom {

    width: 100%;
    background-color: rgba(255, 255, 255, 0.908);
    min-height: 350px;
    display: flex;
    flex-direction: column;
   color: rgb(69, 69, 69);
    align-items: center;
    gap: 1.1rem;
    justify-content: center;
    border-radius: .2rem;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 1rem;

}

.contribute {

    width: 100%;
    max-width: 315px;
    min-height: 50px;
    background-color: #06adef;
    align-content: center;
    text-align: center;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: .2rem;
    border-radius: .2rem;
    transition: all;
    color: white;
    border: none;
    
}


.contribute:hover {

    background-color: #0f98cf;
}

.ambassadeur{
    width: 100%;
    max-width: 315px;
    min-height: 50px;
    background-color: #2653B9;
    align-content: center;
    text-align: center;
    font-weight: 800;
    letter-spacing: .2rem;
    border-radius: .2rem;
    color: white;
}

.ambassadeur:hover {

    background-color: #173b8f;
}

.aide{
    width: 100%;
    max-width: 315px;
    min-height: 50px;
    background-color: #C6A957;
    align-content: center;
    text-align: center;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: .2rem;
    border-radius: .2rem;
    color: white;
}

.aide:hover {

    background-color: #ad9146;
}

.form-secure {

    width: 100%;
    
    background-color: #2653B9;
    height: 55px;
    color: white;
    align-content: center;
    font-weight: 800;
    font-size: 1.1rem;
    border-radius: .2rem;
    display: flex;
    justify-content: center;
}

.form-secure p{

    max-width: 300px;  
    align-content: center;
    position: relative;
    padding-left: 60px;
    
}

.form-secure p::before {

    content:"";
    background-image: url(img/secure_icon.png);
    width: 47px;
    height: 47px;
    position: absolute;
    left: 0px;
    top: 0px;
    background-repeat: no-repeat;
    
}

/* inside FORM */

.inside-form {

    width: 100%;
    max-width: 450px;
    border: none;
    
}

fieldset {
    width: 100%;
    max-width: 450px;
    border: none; 
    display: flex;
    flex-direction: column;
    gap: 1rem; 
    margin-top: 1rem; 
}

fieldset p {
    text-align: center;
    color: #354979;
    font-weight: 700;
}



.form-select {
    width: 100%;
    max-width: 450px;
    height: 45px;
    border:  solid 1px rgb(202, 202, 202);
    border-radius: 0.3rem;
    padding-left: 7px;
    padding-right: 7px;
    color: #4a4a4a;
    transition: 0.4s;

}

.form-select:hover
 {
  background: #ecf8ff;
}


.form-select:focus {
  background: #ffffff;
}

.choose{

    font-weight: 800;
    color: #173b8f;
}

.estimate {

    width: 100%;
    max-width: 450px;
    height: 75px;
    background-color: rgb(226, 226, 226);
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-radius: 0.3rem;
   
   
}

.estimate-select {
    
    width: 100%;
    max-width: 250px;
    height: 55px;
    border:  solid 1px rgb(202, 202, 202);
    padding-left: 7px;
    border-radius: 0.3rem;

}

.estimate-select:hover
 {
  background: #ecf8ff;
}

.estimate-select:focus
 {
  background: #ffffff;
}

.estimate-number {
    
    width: 100%;
    max-width: 100px;
    height: 55px;
    border:  solid 1px rgb(202, 202, 202);
    padding-left: 7px;
    border-radius: 0.3rem;
    font-size: 1.2rem;

}

.amount-message{

    font-weight: 800;
    text-align: center;
    color: #883664;
}

.cadre_contribute{
width: 100%;
display: flex;
justify-content: center;
}

.contribute {

    width: 100%;
    max-width: 315px;
    min-height: 50px;
    background-color: #06adef;
    align-content: center;
    text-align: center;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: .2rem;
    border-radius: .2rem;
    transition: all;
    color: white;
    border: none;  
}


.contribute:hover {

    background-color: #0f98cf;
}